Bug 181520 - beagle <-> evolution integration broken
beagle <-> evolution integration broken
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: beagle (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks: FC5Blocker
  Show dependency treegraph
 
Reported: 2006-02-14 14:56 EST by Matthias Clasen
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-15 04:56:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2006-02-14 14:56:20 EST
on startup, beagled mutters:


** (beagled:14236): WARNING **: The following assembly referenced from
/usr/lib64/beagle/Backends/EvolutionBackends.dll could not be loaded:
     Assembly:   evolution-sharp    (assemblyref_index=1)
     Version:    2.0.0.0
     Public Key: 457eed85bd9370df
The assembly was not found in the Global Assembly Cache, a path listed in the
MONO_PATH environment variable, or in the location of the executing assembly
(/usr/lib64/beagle/Backends).


** (beagled:14236): WARNING **: The class Evolution.Source could not be loaded,
used in evolution-sharp, Version=2.0.0.0, Culture=neutral,
PublicKeyToken=457eed85bd9370df


and after a few seconds of use, it goes down with a segfault:

Debug: Scanning addressbooks and calendars

=================================================================
Got a SIGSEGV while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries
used by your application.
=================================================================

Stacktrace:

in <0xffffffffffffffff>
Beagle.Daemon.EvolutionDataServerQueryable.EvolutionDataServerQueryable:Start ()
in <0x102>
Beagle.Daemon.EvolutionDataServerQueryable.EvolutionDataServerQueryable:Start ()
in <0x22> Beagle.Daemon.Queryable:Start ()
in <0xb7> Beagle.Daemon.QueryDriver:StartQueryables ()
in <0x14d14ad> (wrapper delegate-invoke) System.MulticastDelegate:invoke_bool
()in <0x45> TimeoutProxy:Handler ()
in <0xffffffffb70c549a> (wrapper native-to-managed) TimeoutProxy:Handler ()
in <0xb> (wrapper managed-to-native) Gtk.Application:gtk_main ()
in <0xffffffffffffffd0> (wrapper managed-to-native) Gtk.Application:gtk_main ()
in <0x8> Gtk.Application:Run ()
in <0x929> Beagle.Daemon.BeagleDaemon:DoMain (string[])
in <0x1c> Beagle.Daemon.BeagleDaemon:Main (string[])
in <0xffffffffc046865b> (wrapper runtime-invoke)
System.Object:runtime_invoke_void_string[] (object,intptr,intptr,intptr)

Native stacktrace:

        mono-beagled(mono_handle_native_sigsegv+0x88) [0x508a88]
        mono-beagled [0x4d66a8]
        /lib64/libpthread.so.0 [0x31baf0cce0]
        mono-beagled(mono_class_from_mono_type+0xe) [0x4a72de]
Aborted



needless to say, this makes beagle rather useless, and we should
rather drop it from the default install and go back to the old
search thingie
Comment 1 Alexander Larsson 2006-02-15 04:43:40 EST
This is actually a packaging problem.
/usr/lib/beagle/Backends/EvolutionBeckends.dll need to be exectuable, or rpm
won't pick up the dependencies in it.
Comment 2 Alexander Larsson 2006-02-15 04:56:22 EST
beagle-0.2.1-6 correctly requires mono(evolution-sharp) = 2.0.0.0 which is
provided by evolution-sharp, so this should work now.

Note You need to log in before you can comment on or make changes to this bug.